Delete the autoscaling configuration for an ALB.

DELETE /ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale

Delete an autoscaling configuration for the ALB. Deleting the configuration disables autoscaling.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

You must have the Editor platform role for the Kubernetes Service in IAM to call this endpoint.

  • containers-kubernetes.cluster.update

Auditing

Calling this method generates the following auditing event.

  • cluster-alb-autoscale.unset

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

albID

Required *

string

The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

Query Parameters

Response

204 - Ok. Autoscale config was unset successfully.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. No autoscaling configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Get the autoscaling configuration for an ALB.

GET /ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale

Get the autoscaling configuration for an ALB. The autoscaling feature is enabled when there is a configuration set for the ALB. If the configuration is missing, the feature is disabled.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

To call this endpoint, you must have the Viewer platform role for the Kubernetes Service in IAM.

  • containers-kubernetes.cluster.read

Auditing

Calling this method generates the following auditing event.

  • cluster-alb-autoscale.get

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

albID

Required *

string

The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

Query Parameters

Response

200 - Ok. The autoscaling configuration for your ALB is returned.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. No autoscale configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Set the autoscaling configuration for an ALB.

PUT /ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale

Set an autoscaling configuration for an ALB. Setting a configuration enables the autoscaling feature. You can also use this endpoint to change the autoscaling configuration.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

You must have the Editor platform role for the Kubernetes Service in IAM to call this endpoint.

  • containers-kubernetes.cluster.update

Auditing

Calling this method generates the following auditing event.

  • cluster-alb-autoscale.set

Request

Request Body

AutoscaleDetails

New autoscale configuration to be set.

config

AutoscaleConfig

AutoscaleConfig is used for configuring autoscaling for albs

cpuAverageUtilization

integer

customMetrics

string

maxReplicas

integer

minReplicas

integer

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

albID

Required *

string

The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

Query Parameters

Response

200 - Ok. The provided autoscaling configuration for your ALB is set.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The the specified cluster or ALB could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Create an Ingress domain for a cluster.

POST /ingress/v2/dns/createDomain

Create an Ingress domain for a cluster.

Request

Request Body

CreateDomainReq

Input parameter to create a domain.

cluster

string

crn

string

hostname

string

ips

array

isDefault

boolean

provider

string

secretNamespace

string

zoneID

string

Path Parameters

Query Parameters

Response

201 - Created. The domain is created.

certProvider

string

cluster

string

crn

string

dnsType

string

isDefault

boolean

lbHostname

string

nlbIPArray

array

nlbSubdomain

string

provider

string

secretNamespace

string

statusMessage

string

type

string

zoneID

string

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Delete external domain provider credential.

POST /ingress/v2/dns/deleteCredential

Deprecated: Delete the registered external provider credential for a cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Response

204 - No Content. The credential was successfully fetched.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Delete a non-default Ingress domain for a cluster.

POST /ingress/v2/dns/deleteDomain

Delete a non-default Ingress domain for a cluster.

Request

Request Body

DeleteDomainReq

Input parameter to delete a domain.

cluster

string

subdomain

string

Path Parameters

Query Parameters

Response

200 - Ok. The domain is deleted.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Get external domain provider credential metadata.

GET /ingress/v2/dns/getCredential

Deprecated: Get metadata for the registered external provider credential for a cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Response

200 - Ok. The credential was successfully fetched.

cluster

string

credID

string

expiresOn

string

lastUpdatedTimestamp

string

provider

string

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Replace the existing default Ingress domain for a cluster.

POST /ingress/v2/dns/replaceDefaultSubdomain

Replace the default Ingress domain for a cluster and refresh the related cluster components.

Request

Request Body

ReplaceDefaultSubdomainReq

Input parameter to replace default domain.

cluster

string

subdomain

string

Path Parameters

Query Parameters

Response

200 - Ok. The default domain is replaced.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Set external domain provider credential.

POST /ingress/v2/dns/setCredential

Deprecated: Register a credential for external domain provider for use in ingress domain commands.

Request

Request Body

CreateCredentialReq

Input parameter to register an external domain provider credential.

akamai_credentials

AkamaiCredentials

AkamaiCredentials is the struct representation of Akamai creds

access_token

string

client_secret

string

client_token

string

host

string

zone

string

cloudflare_credentials

CloudflareCredentials

CloudflareCredentials is the struct representation of Cloudflare creds

token

string

zone_id

string

cluster

string

provider

string

Path Parameters

Query Parameters

Response

201 - Created. The credential was successfully registered.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Update an Ingress domain for a cluster.

POST /ingress/v2/dns/updateDomain

Update an Ingress domain with the specified IPs or hostnames.

Request

Request Body

UpdateDomainReq

Input parameter to update a domain.

cluster

string

domain

string

hostname

string

ips

array

Path Parameters

Query Parameters

Response

200 - Ok. The domain is updated.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Get configuration of load balancers for Ingress ALBs.

GET /ingress/v2/load-balancer/configuration

Get settings for load balancers that expose Ingress ALBs in your cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster.

type

Required *

string

Type of load balancer configuration to return. Possible options are `public` and `private`.

Response

200 - Ok. The load balancer configuration for the specified type is returned.

backend

LBBackendConfig

LBBackendConfig stuct for configuring the loadbalancer's backend

cluster

string

proxyProtocol

LBProxyProtocolConfig

LBProxyProtocolConfig stuct for storing the loadbalancer's proxy protocol config in etcd

type

string

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Update the configuration of load balancers for Ingress ALBs.

PATCH /ingress/v2/load-balancer/configuration

Configure settings for load balancers that expose Ingress ALBs in your cluster. After you use this API to set load balancer options, the existing load balancers are deleted and recreated, which can cause service disruptions. Two unused IP addresses for each new load balancer must be available in each subnet during the load balancer recreation. To configure load balancers that expose only your public ALBs or only your private ALBs, specify `public` or `private` for the `type` field in the request body. If you leave the `type` field empty, the configuration is applied to all load balancers that expose ALBs in the cluster.

Available features: + `proxyProtocol`: + Limitations: + This feature is supported only for VPC Gen 2 clusters that run Kubernetes version 1.18 or later. + This feature is cluster-level, therefore `type` field of the request must be empty. + Configuration: + `enable`: Set to `true` to enable or `false` to disable the PROXY protocol for the ALB load balancers. The PROXY protocol enables load balancers to pass client connection information that is contained in headers on the client request, including the client IP address, the proxy server IP address, and both port numbers, to ALBs. + `headerTimeout`: The timeout value, in seconds, for the load balancer to receive the PROXY protocol headers that contain the client connection information. This option has effect only on ALBs running the Kubernetes Ingress image. Default: `5` + `cidr`: Load balancer CIDRs from which ALBs process information in PROXY protocol headers. If requests that contain PROXY headers originate from load balancers in other IP ranges, the information in the headers is not process by the ALB. This option has effect only on ALBs running the Kubernetes Ingress image. Default: `0.0.0.0/0`

Request

Request Body

LBConfig

In the request body, specify the desired configuration of load balancer features you want to change.

backend

LBBackendConfig

LBBackendConfig stuct for configuring the loadbalancer's backend

private

string

public

string

cluster

string

proxyProtocol

LBProxyProtocolConfig

LBProxyProtocolConfig stuct for storing the loadbalancer's proxy protocol config in etcd

cidr

array

enable

boolean

headerTimeout

integer

type

string

Path Parameters

Query Parameters

Response

202 - Load-balancer configuration submitted and update started.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

423 - Locked. The previous load-balancer configuration is still in progress.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

POST /ingress/v2/secret/addField

Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

Request

Request Body

UpdateConfig

Input parameter to add a secret field.

add

array

cluster

string

crn

string

name

string

namespace

string

remove

array

Path Parameters

Query Parameters

Response

201 - Updated. The fields were successfully added to the secret in the cluster.

cluster

string

crn

string

domain

string

deprecated: use "Domains" instead

domains

array

expiresOn

string

fields

Fields

Fields struct for a secret array

lastUpdatedTimestamp

string

name

string

namespace

string

persistence

boolean

secretType

string

status

string

type

string

userManaged

boolean

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

POST /ingress/v2/secret/createSecret

Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

Request

Request Body

CreateConfig

Input parameter to add a secret.

add

array

cluster

string

crn

string

name

string

namespace

string

persistence

boolean

type

string

Path Parameters

Query Parameters

Response

201 - Created. The secret was successfully created in the cluster.

cluster

string

crn

string

domain

string

deprecated: use "Domains" instead

domains

array

expiresOn

string

fields

Fields

Fields struct for a secret array

lastUpdatedTimestamp

string

name

string

namespace

string

persistence

boolean

secretType

string

status

string

type

string

userManaged

boolean

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Delete an Ingress secret from the cluster.

POST /ingress/v2/secret/deleteSecret

Delete an Ingress secret from the cluster.

Request

Request Body

DeleteConfig

Input parameter to add a secret.

cluster

string

name

string

Path Parameters

Query Parameters

Response

204 - Deleted. The secret was successfully deleted from the cluster.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

View an IBM Cloud Secrets Manager instance registered to the cluster.

GET /ingress/v2/secret/getInstance

View an IBM Cloud Secrets Manager instance registered to the cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

name

Required *

string

The name of the instance that you want information about. To list the instances that you have access to, use the `GET /ingress/v2/secret/getInstances` API or run `ibmcloud ks ingress secret instance ls`.

Response

200 - Ok. Detailed information about the secret is returned.

callbackChannel

string

cluster

string

crn

string

isDefault

boolean

name

string

secretGroupID

string

secretGroupName

string

status

string

type

string

userManaged

boolean

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

View IBM Cloud Secrets Manager instances registered to the cluster.

GET /ingress/v2/secret/getInstances

View IBM Cloud Secrets Manager instances registered to the cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

showDeleted

string

To view previously deleted instances, pass `true`.

Response

200 - Ok. The list of available Ingress secrets is returned.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

View Ingress secret details.

GET /ingress/v2/secret/getSecret

View Ingress secret details.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

name

Required *

string

The name of the secret that you want information about. To list the secrets that you have access to, use the `GET /ingress/v2/secret/getSecrets` API or run `ibmcloud ks ingress secret ls`.

namespace

Required *

string

The namespace of the secret that you want information about. To list the secrets that you have access to, use the `GET /ingress/v2/secret/getSecrets` API or run `ibmcloud ks ingress secret ls`.

Response

200 - Ok. Detailed information about the secret is returned.

cluster

string

crn

string

domain

string

deprecated: use "Domains" instead

domains

array

expiresOn

string

fields

Fields

Fields struct for a secret array

lastUpdatedTimestamp

string

name

string

namespace

string

persistence

boolean

secretType

string

status

string

type

string

userManaged

boolean

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

View Ingress secrets for a cluster.

GET /ingress/v2/secret/getSecrets

View Ingress secrets for a cluster.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster that you want information about. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

showDeleted

string

To view previously deleted secrets, pass `true`.

Response

200 - Ok. The list of available Ingress secrets is returned.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Register an IBM Cloud Secrets Manager instance to the cluster.

POST /ingress/v2/secret/registerInstance

Register an IBM Cloud Secrets Manager instance to the cluster.

Request

Request Body

RegisterConfig

Input parameter to register an instance.

cluster

string

crn

string

isDefault

boolean

secretGroupID

string

Path Parameters

Query Parameters

Response

200 - Created. The instance was successfully registered to the cluster.

callbackChannel

string

cluster

string

crn

string

isDefault

boolean

name

string

secretGroupID

string

secretGroupName

string

status

string

type

string

userManaged

boolean

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Remove fields from an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

POST /ingress/v2/secret/removeField

Remove fields from an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

Request

Request Body

UpdateConfig

Remove input parameter to remove a secret field.

add

array

cluster

string

crn

string

name

string

namespace

string

remove

array

Path Parameters

Query Parameters

Response

200 - Updated. The fields were successfully removed from the secret in the cluster.

cluster

string

crn

string

domain

string

deprecated: use "Domains" instead

domains

array

expiresOn

string

fields

Fields

Fields struct for a secret array

lastUpdatedTimestamp

string

name

string

namespace

string

persistence

boolean

secretType

string

status

string

type

string

userManaged

boolean

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Unregister an IBM Cloud Secrets Manager instance from the cluster.

POST /ingress/v2/secret/unregisterInstance

Unregister an IBM Cloud Secrets Manager instance from the cluster.

Request

Request Body

DeleteConfig

Input parameter to unregister an instance.

cluster

string

name

string

Path Parameters

Query Parameters

Response

200 - Deleted. The secret was successfully deleted from the cluster.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Update an IBM Cloud Secrets Manager instance registration configuration to the cluster.

POST /ingress/v2/secret/updateInstance

Update an IBM Cloud Secrets Manager instance registration configuration to the cluster.

Request

Request Body

InstanceUpdateConfig

Input parameter to update instance registration.

cluster

string

isDefault

boolean

name

string

secretGroupID

string

Path Parameters

Query Parameters

Response

200 - Update. The instance was successfully updated.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified instance could not be found. To list the registered instances that you have access to, use the `GET /v2/secret/getInstances` API or run `ibmcloud ks ingress secret instance ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Update an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

POST /ingress/v2/secret/updateSecret

Update an Ingress secret with a secret stored in IBM Cloud Secrets Manager.

Request

Request Body

UpdateConfig

Input parameter to add a secret.

add

array

cluster

string

crn

string

name

string

namespace

string

remove

array

Path Parameters

Query Parameters

Response

201 - Created. The secret was successfully created in the cluster.

cluster

string

crn

string

domain

string

deprecated: use "Domains" instead

domains

array

expiresOn

string

fields

Fields

Fields struct for a secret array

lastUpdatedTimestamp

string

name

string

namespace

string

persistence

boolean

secretType

string

status

string

type

string

userManaged

boolean

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Get the configuration of a cluster's port 80 security settings.

GET /ingress/v2/security/port80

Get the configuration of a cluster's port 80 security settings.

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster.

Response

200 - Ok. The port 80 configuration for the specified cluster is returned.

cluster

string

state

string

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Enable port 80 on the cluster.

PATCH /ingress/v2/security/port80

Enable port 80 on a Kubernetes or Red Hat OpenShift cluster. For clusters created after December 1, 2025, port 80 belonging to the default OpenShift router and Kubernetes ingress is disabled by default. Configure this setting to enable the port.

Request

Request Body

Port80Config

Specify the security setting for port 80.

cluster

string

state

string

Path Parameters

Query Parameters

Response

200 - Port 80 security configuration submitted and update started.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Get the OAuth access type for a VPC cluster.

GET /network/v2/oauth-access-type/{idOrName}

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

To get the action, the user must have the Viewer platform role to Kubernetes Service in IAM.

  • containers-kubernetes.cluster.read

Auditing

Calling this method generates the following auditing event.

  • oauth-access-type.get

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. The OAuth access type for the specified cluster is returned.

oauth_access_type

string

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Set the OAuth access type for a VPC cluster.

POST /network/v2/oauth-access-type/{idOrName}/set

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

To get the action, the user must have the Editor platform role to Kubernetes Service in IAM.

  • containers-kubernetes.cluster.update

Auditing

Calling this method generates the following auditing event.

  • oauth-access-type.set

Request

Request Body

OauthAccessTypeJSON

Specify the OAuth access type that you want to use. Accepted values are `vpegw` or `legacy`.

oauth_access_type

string

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The request to set the OAuth access type was successful.

400 - The OAuth access type you specified is not supported.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Modify the outbound traffic protection policy for a VPC cluster using Secure by Default Networking.

POST /network/v2/outbound-traffic-protection

Request

Request Body

OutboundTrafficProtectionRequest

Specify the outbound traffic protection policy for your cluster. Available options are `enable-outbound-protection` and `disable-outbound-protection`.

cluster

string

operation

string

Path Parameters

Query Parameters

Response

202 - Accepted. The request to set the outbound traffic protection policy was successful.

400 - Bad request. The query parameters are either incomplete or in the wrong format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Disable the subnet allowlist for a Satellite cluster's service endpoint.

DELETE /network/v2/satellite-acl/{idOrName}

Disable the subnet allowlist feature for a Satellite cluster's service endpoint. After you disable this feature, authorized requests to your Satellite cluster master through the Satellite cluster's service endpoint can originate from any subnet.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the Satellite cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The request to disable the Satellite allowlist feature for your Satellite cluster's service endpoint was successfully processed.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Get a Satellite cluster's service endpoint allowlist.

GET /network/v2/satellite-acl/{idOrName}

List all subnets in the Satellite allowlist for a Satellite cluster's service endpoint. This list includes subnets that you manually added by using the `PATCH /network/v2/satellite-acl/{idOrName}/add` API and subnets that are automatically added and managed by IBM, such as worker node subnets.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the Satellite cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. The allowlist for the Satellite cluster's service endpoint is returned.

actualCSEACLList

array

desiredCSEACLList

array

400 - Bad request. Satellite Service Endpoint Allowlist feature is disabled on the specified cluster.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Add subnets to a Satellite cluster's service endpoint allowlist.

PATCH /network/v2/satellite-acl/{idOrName}/add

When you add a subnet to a disabled Satellite cluster's service endpoint allowlist, the Satellite allowlist is automatically enabled. Only authorized requests to your Satellite cluster master that originate from subnets in this allowlist are permitted through the Satellite cluster's service endpoint. The subnets for your Satellite cluster's worker nodes must be added to this allowlist for the worker nodes to communicate with the master through the Satellite service endpoint.

Request

Request Body

csePatchACL

The list of subnets to add to the Satellite cluster's service endpoint allowlist.

aclList

array

The ACL list to patch

Path Parameters

idOrName

Required *

string

The name or ID of the Satellite cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

201 - Created. The subnets are successfully added to the Satellite cluster's service endpoint allowlist.

204 - No content. The subnets are successfully added to the Satellite cluster's service endpoint allowlist.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Enable the subnet allowlist for a Satellite cluster's service endpoint.

POST /network/v2/satellite-acl/{idOrName}/enable

Enable the subnet allowlist feature for a Satellite cluster's service endpoint. After you enable this feature, you can use the `PATCH /network/v2/satellite-acl/{idOrName}/add` API to add subnets to the allowlist for this Satellite cluster's service endpoint. Only authorized requests to your Satellite cluster master that originate from subnets in the allowlist are permitted through the Satellite cluster's service endpoints.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the Satellite cruiser. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The request to enable the allowlist feature for your Satellite cluster's service endpoint was successfully processed.

400 - Bad request. The Satellite service endpoint allowlist feature is already enabled on the specified cluster.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Remove subnets from a Satellite cluster's service endpoint allowlist.

PATCH /network/v2/satellite-acl/{idOrName}/rm

Remove subnets that you previously added to the allowlist for a Satellite cluster's service endpoint. After a subnet is removed, any requests that originate from this subnet to the Satellite cluster master through the service endpoint are denied.

Request

Request Body

csePatchACL

The list of subnets to remove from the Satellite cluster's service endpoint allowlist.

aclList

array

The ACL list to patch

Path Parameters

idOrName

Required *

string

The name or ID of the Satellite cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The subnets are successfully removed from the Satellite cluster's service endpoint allowlist.

204 - No content. The subnets are successfully removed from the Satellite cluster's service endpoint allowlist.

400 - Bad request. Satellite Service Endpoint Allowlist feature is disabled on the specified cluster.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified Satellite cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Enable VPC Secure by Default Networking on an existing VPC cluster.

POST /network/v2/secure-by-default/enable

Request

Request Body

EnableSecureByDefaultClusterRequest

Enable a one-way migration to Secure by Default Networking on an existing VPC cluster currently using legacy security groups. Available options for `disableOutboundTrafficProtection` are `true` or `false`.

cluster

string

disableOutboundTrafficProtection

boolean

Path Parameters

Query Parameters

Response

202 - Accepted. The request to enable Secure by Default Networking was successful.

400 - Bad request. The query parameters are either incomplete or in the wrong format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Perform operations against a VPC Security Group associated with a cluster.

POST /network/v2/security-group

Request

Request Body

SecurityGroupRequest

Perform an operation against a VPC security group associated with a cluster. Currently supported operations are `reset` or `sync`.

cluster

string

operation

string

securityGroupID

string

Path Parameters

Query Parameters

Response

202 - Accepted. The requested security group operation was successfully processed.

400 - Bad request. The query parameters are either incomplete or in the wrong format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

List all security groups associated with a cluster.

GET /network/v2/security-group/getSecurityGroups

Request

Path Parameters

Query Parameters

cluster

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, run `ibmcloud ks cluster ls`.

type

string

Filter security groups by type. Specify `cluster`, `worker`, `vpc`, `vpegw`, or `lbaas`.

shared

string

Specify `true` to return the security groups that are shared across the VPC. Or, specify `false` to return only the cluster specific security groups.

userProvided

string

Specify `true` to return the security groups created by user. Specify `false` to return only the IKS managed security groups.

Response

200 - Ok. A list of security groups associated with the cluster is returned.

400 - Bad request. The query parameters are either incomplete or in the wrong format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Private service endpoint allowlists are no longer supported and context based restrictions (CBR) should be used instead. For more details visit: https://cloud.ibm.com/docs/containers?topic=containers-pse-to-cbr-migration

DELETE /v1/acl/{idOrName}

Disable the subnet allowlist for a cluster's private service endpoint.

Disable the subnet allowlist feature for a cluster's private service endpoint. After you disable this feature, authorized requests to your cluster master through the cluster's private service endpoint can originate from any subnet.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The request to disable the allowlist feature for your cluster's private service endpoint was successfully processed.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Private service endpoint allowlists are no longer supported and context based restrictions (CBR) should be used instead. For more details visit: https://cloud.ibm.com/docs/containers?topic=containers-pse-to-cbr-migration

GET /v1/acl/{idOrName}

Get a cluster's private service endpoint allowlist.

List all subnets in the allowlist for a cluster's private service endpoint. This list includes subnets that you manually added by using the `PATCH /v1/acl/{idOrName}/add` API and subnets that are automatically added and managed by IBM, such as worker node subnets.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. The allowlist for the cluster's private service endpoint is returned.

actualCSEACLList

CSEACLList

CSEACLList actual and desired

desiredCSEACLList

CSEACLList

CSEACLList actual and desired

400 - Bad request. Private Service Endpoint Allowlist feature is disabled on the specified cluster.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Private service endpoint allowlists are no longer supported and context based restrictions (CBR) should be used instead. For more details visit: https://cloud.ibm.com/docs/containers?topic=containers-pse-to-cbr-migration

PATCH /v1/acl/{idOrName}/add

Add subnets to a cluster's private service endpoint allowlist.

After you use the `POST /v1/acl/{idOrName}/enable` API to enable an allowlist for your cluster's private service endpoint, add subnets to the allowlist. Only authorized requests to your cluster master that originate from subnets in this allowlist are permitted through the cluster's private service endpoint. By default, subnets for your cluster's worker nodes are added to this allowlist so that worker nodes can communicate with the master through the private service endpoint.

Request

Request Body

csePatchACL

The list of subnets to add to the cluster's private service endpoint allowlist.

aclList

array

The ACL list to patch

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

201 - Created. The subnets are successfully added to the cluster's private service endpoint allowlist.

204 - No content. The subnets are successfully added to the cluster's private service endpoint allowlist.

400 - Bad request. Private Service Endpoint Allowlist feature is disabled on the specified cluster.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Private service endpoint allowlists are no longer supported and context based restrictions (CBR) should be used instead. For more details visit: https://cloud.ibm.com/docs/containers?topic=containers-pse-to-cbr-migration

POST /v1/acl/{idOrName}/enable

Enable a subnet allowlist for a cluster's private service endpoint.

Enable the subnet allowlist feature for a cluster's private service endpoint. After you enable this feature, you can use the `PATCH /v1/acl/{idOrName}/add` API to add subnets to the allowlist for this cluster's private service endpoint. Only authorized requests to your cluster master that originate from subnets in the allowlist are permitted through the cluster's private service endpoint. If the public service endpoint is enabled for your cluster, authorized requests are still permitted through the public service endpoint.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The request to enable the allowlist feature for your cluster's private service endpoint was successfully processed.

400 - Bad request. The private service endpoint allowlist feature is already enabled on the specified cluster.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Deprecated: Private service endpoint allowlists are no longer supported and context based restrictions (CBR) should be used instead. For more details visit: https://cloud.ibm.com/docs/containers?topic=containers-pse-to-cbr-migration

PATCH /v1/acl/{idOrName}/rm

Remove subnets from a cluster's private service endpoint allowlist.

Remove subnets that you previously added to the allowlist for a cluster's private service endpoint. After a subnet is removed, any requests that originate from this subnet to the cluster master through the private service endpoint are denied.

Request

Request Body

csePatchACL

The list of subnets to remove from the cluster's private service endpoint allowlist.

aclList

array

The ACL list to patch

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

202 - Accepted. The subnets are successfully removed from the cluster's private service endpoint allowlist.

204 - No content. The subnets are successfully removed from the cluster's private service endpoint allowlist.

400 - Bad request. Private Service Endpoint Allowlist feature is disabled on the specified cluster.

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

List available add-ons that you can enable in a cluster.

GET /v1/addons

List available add-ons that you can enable in a cluster. For each available add-on, the name, latest version, and minimum Kubernetes version required to run the add-on in a cluster are returned.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

No IBM Cloud IAM role is required for this operation.

  • ``

Auditing

Calling this method generates the following auditing event.

  • ``

Request

Path Parameters

Query Parameters

Response

200 - OK. The name, latest version, and minimum required Kubernetes version for each available add-on are returned.

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Enable an existing ALB in a cluster.

POST /v1/alb/albs

Enable a public or private ALB in your standard cluster.

Request

Request Body

ALBConfig

The input parameter to enable an ALB. In the `albip` field, you can optionally specify an IP address that is on a VLAN in the zone that the ALB was created in. The ALB is enabled with and uses this public or private IP address. Note that this IP address must not be in use by another load balancer or ALB in the cluster. If no IP address is provided, the ALB is deployed with a public or private IP address from the portable public or private subnet that was provisioned automatically when you created the cluster, or the public or private IP address that you previously assigned to the ALB. To switch your ALB from one type of image to another, such as from an IBM Cloud Kubernetes Service ALB image to a community Kubernetes Ingress controller image, specify that image version in the ALBBuild field. To see the supported image versions, use the `GET /v2/alb/getAlbImages` call. For more information, see https://ibm.biz/alb_configure_docs

albBuild

string

The build number of the ALB.

albID

string

The ID of the application load balancer (ALB).

albType

string

The type of ALB.

authBuild

string

The auth build of the ALB.

cluster

string

createdDate

string

The date the ALB was created.

disableDeployment

boolean

If set to true, the deployment of the ALB is disabled.

enable

boolean

Set to true to enable the ALB, or false to disable the ALB for the cluster.

loadBalancerHostname

string

name

string

The name of the cluster that the ALB belongs to.

numOfInstances

string

Desired number of ALB replicas that you want in your cluster.

resize

boolean

If set to true, resizing of the ALB is done.

state

string

The state of the ALB.

status

string

The status of the ALB.

zone

string

The zone where you want to add ALBs.

Path Parameters

Query Parameters

Response

201 - Enabled. The ALB for the cluster was successfully enabled.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

403 - Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster or ALB could not be found. To list the clusters that you have access to, run `ibmcloud ks cluster ls`. To list the ALBs available in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Disable an ALB in your cluster.

DELETE /v1/alb/albs/{albID}

Disable a public or private ALB in your standard cluster. When you disable an ALB, the IP address that the ALB used goes back into the pool of available portable IPs so that another service can use the IP. If you later try to re-enable the ALB, the ALB might report an error if the IP address it previously used is now in use by another service. You can either stop running the other service or specify another IP address to use when you re-enable the ALB.

Request

Path Parameters

albID

Required *

string

The ID of the ALB that you want to disable. To list the IDs for the ALBs in a cluster, use the `GET /v1/alb/clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

Query Parameters

Response

204 - Disabled. The ALB for the cluster was successfully disabled.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster or ALB could not be found. To list the clusters that you have access to, run `ibmcloud ks cluster ls`. To list the ALBs available in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

View details of an ALB.

GET /v1/alb/albs/{albID}

View detailed information for an ALB in a cluster.

Request

Path Parameters

albID

Required *

string

The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

Query Parameters

Response

200 - Ok. Details for the specified ALB are returned.

albBuild

string

The build number of the ALB.

albID

string

The ID of the application load balancer (ALB).

albType

string

The type of ALB.

authBuild

string

The auth build of the ALB.

cluster

string

createdDate

string

The date the ALB was created.

disableDeployment

boolean

If set to true, the deployment of the ALB is disabled.

enable

boolean

Set to true to enable the ALB, or false to disable the ALB for the cluster.

loadBalancerHostname

string

name

string

The name of the cluster that the ALB belongs to.

numOfInstances

string

Desired number of ALB replicas that you want in your cluster.

resize

boolean

If set to true, resizing of the ALB is done.

state

string

The state of the ALB.

status

string

The status of the ALB.

zone

string

The zone where you want to add ALBs.

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster or ALB could not be found. To list the clusters that you have access to, run `ibmcloud ks cluster ls`. To list the ALBs available in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

List all ALBs in a cluster.

GET /v1/alb/clusters/{idOrName}

List all ALB IDs in a cluster. If no ALB IDs are returned, then the cluster does not have a portable subnet.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster that you want to see ALB information for. To list the clusters that you have access to, run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. A list of ALB IDs for the cluster is returned.

401 - Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Force a one-time update of all ALB pods to the latest build.

PUT /v1/alb/clusters/{idOrName}/update

If automatic updates for Ingress ALBs are disabled, you can force a one-time update of your ALB pods. When you choose to manually update the ALBs, all ALB pods in the cluster are updated to the latest build. You cannot update an individual ALB or choose which build to update the ALBs to. Automatic updates remain disabled.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. The update has been requested.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Check if automatic updates for Ingress ALBs are enabled in a cluster.

GET /v1/alb/clusters/{idOrName}/updatepolicy

Check if automatic updates for Ingress ALBs are enabled and whether your ALB pods are updated to the latest build version.

Request

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

200 - Ok. The current update policy.

autoUpdate

boolean

If set to true, automatic updates for the ALBs are enabled.

latestVersion

boolean

If set to true, all ALBs in the cluster run the latest ALB version.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Enable or disable automatic updates for the Ingress ALBs in a cluster.

PUT /v1/alb/clusters/{idOrName}/updatepolicy

By default, automatic updates to Ingress ALBs are enabled. ALB pods are automatically updated when a new build version is available. To instead update the Ingress ALB component manually, you can use this call to disable automatic updates, then use the `PUT /clusters/{idOrName}/update` call to update all ALB pods. Note: When you update the major or minor Kubernetes version of your cluster, IBM automatically makes necessary changes to the Ingress deployment, but does not change the build version of your Ingress ALBs. You are responsible for checking the compatability of the latest Kubernetes versions and your Ingress ALB add-on images. If automatic updates for the Ingress ALB component are disabled, you can re-enable automatic updates. Whenever the next build version becomes available, the ALBs are automatically updated to the latest build.

Request

Request Body

UpdatePolicy

The new update policy configuration.

autoUpdate

boolean

If set to true, automatic updates for the ALBs are enabled.

latestVersion

boolean

If set to true, all ALBs in the cluster run the latest ALB version.

Path Parameters

idOrName

Required *

string

The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

Query Parameters

Response

204 - Ok. The ALB update policy has been changed.

400 - Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

401 - Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

404 - Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

500 - Internal Server Error. Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.

code

string

description

string

incidentID

string

recoveryCLI

string

terseDescription

string

type

string

ErrorType error type

Create a public or private ALB in a specified zone and VLAN.

POST /v1/alb/clusters/{idOrName}/zone/{zoneId}

Create a new public or private ALB in a specified zone on a specified VLAN. You can also optionally specify an IP address on that VLAN in that zone for the ALB to use.

Request

Request Body

ALB

The input parameters to create an ALB. For more information, see https://ibm.biz/alb_create_docs

enableByDefault

boolean

If set to true, the ALB is enabled by default. \

ingressImage

string

The type of Ingress image that you want to use for your ALB deployment.

ip

string

[...]
